PORT-SEARCH-HELPER(1)

NAME
port-search-helper - find index entry in ports index according to selected criteria

SYNOPSIS
port-search-helper index=file [category=cat] [maintainer=person] [key=value]

DESCRIPTION
port-search-helper scans index file file for index entry (or entries) according to selected criteria, such as category, maintainer name or actual name.

Matching is done using perl regular expressions, and corresponding entries get printed as a list on a single line on standard output. port-search-helper is a helper script used by ${PORTSDIR}/Makefile for searches.

It relies on ${LOCALBASE}/share/ports-INDEX being accurate. Note the portslist package must be installed.

SEE ALSO
perlre(1), ports(7)